function [Out11,Out12,Out13]=generate_fig5and6(dataset,DF,params)
% This code is a part of
%--------------------------------------------------------------------------
% [1]  Joy A, Paul J S. "Multi-channel MR Image Reconstruction using
%      Statistically Optimized Non-Linear Diffusion", Magnetic Resonance in 
%      Medicine, June 2017, doi:10.1002/mrm.26774.
% Email: ajin.joy@iiitmk.ac.in, j.paul@iiitmk.ac.in
%
% Coded by : Ajin Joy on March 2017
%--------------------------------------------------------------------------
params.numitr  = 100;
disp('Subsampling x3..');
    Out11      = NLdiffusionMRI_parallel(dataset.Ich,dataset.mask_x3,DF,params);
    Out11.Idif = dataset.I-Out11.Irecon;
disp('Subsampling x4..');
    Out12      = NLdiffusionMRI_parallel(dataset.Ich,dataset.mask_x4,DF,params);
    Out12.Idif = dataset.I-Out12.Irecon;
disp('Subsampling x5..');
    Out13      = NLdiffusionMRI_parallel(dataset.Ich,dataset.mask_x5,DF,params);
    Out13.Idif = dataset.I-Out13.Irecon;
